package com.sqx.modules.travelconf.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

public class TravelEnum {


	/**
	 * 价格类型
	 */
	@Getter
	@RequiredArgsConstructor
	public enum PricingType {

		/***
		 * 固定价格
		 */
		FIXED(1),
		/**
		 * 动态价格
		 */
		TRENDS(2);

		private final Integer value;
	}

	/**
	 * 固定价格类型
	 */
	@Getter
	@RequiredArgsConstructor
	public enum FixedType {

		/**
		 * 往返
		 */
		RETURN(1),
		/**
		 * 单程
		 */
		ONE_WAY(2);

		private final Integer value;
	}


	/**
	 * 出行方式
	 */
	@Getter
	@RequiredArgsConstructor
	public enum TravelType {

		/***
		 * 公交
		 */
		MASS_TRANSIT(1),
		/**
		 * 出租
		 */
		TAXI(2),
		/**
		 * 免费
		 */
		FREE(3);

		private final Integer value;
	}

	/**
	 * 时令
	 */
	@Getter
	@RequiredArgsConstructor
	public enum SeasonsType {

		/***
		 * 夏令时
		 */
		DAYLIGHT_SAVING_TIME(1),
		/**
		 * 冬令时
		 */
		WINTER_TIME(2);

		private final Integer value;
	}

	/**
	 * 时段
	 */
	@Getter
	@RequiredArgsConstructor
	public enum TimeIntervalType {

		/***
		 * 白天
		 */
		DAY(1),
		/**
		 * 夜间
		 */
		NIGHT(2);

		private final Integer value;
	}



}
